package com.shzg.project.worn.service.impl;

import java.util.List;
import com.shzg.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.shzg.project.worn.mapper.WornDeclareItemMapper;
import com.shzg.project.worn.domain.WornDeclareItem;
import com.shzg.project.worn.service.IWornDeclareItemService;

/**
 * 申报单物料明细Service业务层处理
 * 
 * @author shzg
 * @date 2026-04-14
 */
@Service
public class WornDeclareItemServiceImpl implements IWornDeclareItemService 
{
    @Autowired
    private WornDeclareItemMapper wornDeclareItemMapper;

    /**
     * 查询申报单物料明细
     * 
     * @param id 申报单物料明细主键
     * @return 申报单物料明细
     */
    @Override
    public WornDeclareItem selectWornDeclareItemById(Long id)
    {
        return wornDeclareItemMapper.selectWornDeclareItemById(id);
    }

    /**
     * 查询申报单物料明细列表
     * 
     * @param wornDeclareItem 申报单物料明细
     * @return 申报单物料明细
     */
    @Override
    public List<WornDeclareItem> selectWornDeclareItemList(WornDeclareItem wornDeclareItem)
    {
        return wornDeclareItemMapper.selectWornDeclareItemList(wornDeclareItem);
    }

    /**
     * 新增申报单物料明细
     * 
     * @param wornDeclareItem 申报单物料明细
     * @return 结果
     */
    @Override
    public int insertWornDeclareItem(WornDeclareItem wornDeclareItem)
    {
        wornDeclareItem.setCreateTime(DateUtils.getNowDate());
        return wornDeclareItemMapper.insertWornDeclareItem(wornDeclareItem);
    }

    /**
     * 修改申报单物料明细
     * 
     * @param wornDeclareItem 申报单物料明细
     * @return 结果
     */
    @Override
    public int updateWornDeclareItem(WornDeclareItem wornDeclareItem)
    {
        wornDeclareItem.setUpdateTime(DateUtils.getNowDate());
        return wornDeclareItemMapper.updateWornDeclareItem(wornDeclareItem);
    }

    /**
     * 批量删除申报单物料明细
     * 
     * @param ids 需要删除的申报单物料明细主键
     * @return 结果
     */
    @Override
    public int deleteWornDeclareItemByIds(Long[] ids)
    {
        return wornDeclareItemMapper.deleteWornDeclareItemByIds(ids);
    }

    /**
     * 删除申报单物料明细信息
     * 
     * @param id 申报单物料明细主键
     * @return 结果
     */
    @Override
    public int deleteWornDeclareItemById(Long id)
    {
        return wornDeclareItemMapper.deleteWornDeclareItemById(id);
    }
}
